Bug 1299736 - [zanata-python-client] Failed to show help when running "zanata"
[zanata-python-client] Failed to show help when running "zanata"
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: zanata-python-client (Show other bugs)
el6
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
https://github.com/zanata/zanata-pyth...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-19 02:17 EST by Parag Nemade
Modified: 2016-02-10 06:03 EST (History)
9 users (show)

See Also:
Fixed In Version: zanata-python-client-1.4.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-10 06:03:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2016-01-19 02:17:53 EST
Description of problem:

[parag@rhel67 ~]$ zanata 
Traceback (most recent call last):
  File "/usr/bin/zanata", line 23, in <module>
    from zanataclient import zanata 
  File "/usr/lib/python2.6/site-packages/zanataclient/__init__.py", line 25, in <module>
    from zanata import *
  File "/usr/lib/python2.6/site-packages/zanataclient/zanata.py", line 44, in <module>
    from pullcmd import GenericPull
  File "/usr/lib/python2.6/site-packages/zanataclient/pullcmd.py", line 76
    ) if self.context_data.get('mindocpercent') else {file: lang_list for file in filelist}
                                                                        ^
SyntaxError: invalid syntax


Version-Release number of selected component (if applicable):
zanata-python-client-1.4.1-2.el6.noarch

How reproducible:
always

Steps to Reproduce:
1.just type zanata and enter key
2.
3.

Actual results:
gives traceback

Expected results:
should give help information if no argument is given to "zanata" command

Additional info:
Comment 1 Fedora Update System 2016-01-20 21:08:44 EST
zanata-python-client-1.4.2-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4d5f6a6fb
Comment 2 Fedora Update System 2016-01-22 02:50:17 EST
zanata-python-client-1.4.2-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f4d5f6a6fb
Comment 3 Fedora Update System 2016-02-10 06:03:37 EST
zanata-python-client-1.4.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.